/***************************************************************************
                          audioeditor.h  -  description
                             -------------------
    begin                : Tue Mar 23 2004
    copyright            : (C) 2004-2005 by Christophe Thommeret
    email                : hftom@free.fr
    last modified        : $Date: 2005/02/02 10:08:24 $ by $Author: juergenk $
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef AUDIOEDITOR_H
#define AUDIOEDITOR_H

#include "channeldesc.h"
#include "audioeditorui.h"



class AudioEditor : public AudioEditorUI
{
	Q_OBJECT
	
public:

	AudioEditor( ChannelDesc *chan, QWidget *parent );
	~AudioEditor();

private slots:

	void showProp( int index );
	void itemUp();
	void itemDown();
	void itemDelete();
	void itemUpdate();
	void itemNew();

private:

	void insertItem( int index, bool updt=false );

	ChannelDesc *channel;
	
};

#endif
